Package Details: github-desktop 2.3.1-1

Git Clone URL: https://aur.archlinux.org/github-desktop.git (read-only, click to copy)
Package Base: github-desktop
Description: GUI for managing Git and GitHub.
Upstream URL: https://desktop.github.com
Keywords: git github
Licenses: MIT
Submitter: mikelpint
Maintainer: immackay
Last Packager: immackay
Votes: 23
Popularity: 0.092659
First Submitted: 2017-07-22 21:26
Last Updated: 2020-02-18 07:29

Pinned Comments

immackay commented on 2019-04-26 06:43

Recommendation: install the binary version, github-desktop-bin.

Compiling this is painful.

Latest Comments

« First ‹ Previous 1 2 3 4

immackay commented on 2017-11-28 21:08

Additional shell integration is fairly simple, just clone this package and run 'makepkg -o' to download the source. Then you can follow the instructions found in: desktop/docs/technical/shell-integration.md to add your personal shell to desktop/app/src/lib/shells/linux.ts.

dwalker11 commented on 2017-11-28 07:40

I had trouble getting pass the prepare statement. 4 out of 6 hunks failed. Is it ok to ommit patching /app/src/lib/shells/linux.ts?

mikelpint commented on 2017-10-12 13:41

It is an error with the package libcurl-openssl-1.0. Try verifying the gpg key with 'gpg --recv-keys gpg --recv-keys 5CC908FDB71E12C2'. I will add this to the .install file.

NoD commented on 2017-10-12 13:35

I get the following error when I try to install it:
==> Verifying source file signatures with gpg...
curl-7.54.1.tar.gz ... FAILED (unknown public key 5CC908FDB71E12C2)
==> ERROR: One or more PGP signatures could not be verified!

sudobash418 commented on 2017-10-08 17:37

@mikelpint That solved the problem.
This should be added as a dependency.

mikelpint commented on 2017-10-08 09:12

Try installing gnome-keyring.

sudobash418 commented on 2017-10-08 05:54

Signing into GitHub doesn't work; doesn't show an error message except in stdout:
** Message: Remote error from secret service: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.secrets was not provided by any .service files

mikelpint commented on 2017-07-23 13:42

I have launched a patch that fixes the issue. Thanks for reporting it.

ValHue commented on 2017-07-23 10:22

When I try to clone a github repository it shows me this error:

"git-remote-https: /usr/lib/libcurl.so.4: version `CURL_OPENSSL_3' not found"

Any ideas?